% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/make.R
\name{graph.bipartite}
\alias{graph.bipartite}
\title{Create a bipartite graph}
\usage{
graph.bipartite(types, edges, directed = FALSE)
}
\arguments{
\item{types}{A vector giving the vertex types. It will be coerced into
boolean. The length of the vector gives the number of vertices in the graph.
When the vector is a named vector, the names will be attached to the graph
as the \code{name} vertex attribute.}

\item{edges}{A vector giving the edges of the graph, the same way as for the
regular \code{\link[=make_graph]{make_graph()}} function. It is checked that the edges indeed
connect vertices of different kind, according to the supplied \code{types}
vector. The vector may be a string vector if \code{types} is a named vector.}

\item{directed}{Whether to create a directed graph, boolean constant. Note
that by default undirected graphs are created, as this is more common for
bipartite graphs.}
}
\description{
\ifelse{html}{\href{https://lifecycle.r-lib.org/articles/stages.html#deprecated}{\figure{lifecycle-deprecated.svg}{options: alt='[Deprecated]'}}}{\strong{[Deprecated]}}

\code{graph.bipartite()} was renamed to \code{make_bipartite_graph()} to create a more
consistent API.
}
\keyword{internal}
