% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/hrg.R
\name{hrg_tree}
\alias{hrg_tree}
\title{Create an igraph graph from a hierarchical random graph model}
\usage{
hrg_tree(hrg)
}
\arguments{
\item{hrg}{A hierarchical random graph model.}
}
\value{
An igraph graph with a vertex attribute called \code{"probability"}.
}
\description{
\code{hrg_tree()} creates the corresponsing igraph tree of a hierarchical
random graph model.
}
\seealso{
Other hierarchical random graph functions: 
\code{\link{consensus_tree}()},
\code{\link{fit_hrg}()},
\code{\link{hrg}()},
\code{\link{hrg-methods}},
\code{\link{predict_edges}()},
\code{\link{print.igraphHRG}()},
\code{\link{print.igraphHRGConsensus}()},
\code{\link{sample_hrg}()}
}
\concept{hierarchical random graph functions}
\section{Related documentation in the C library}{\href{https://igraph.org/c/html/latest/igraph-HRG.html#igraph_from_hrg_dendrogram}{\code{igraph_from_hrg_dendrogram()}}.}

